# Calibration V2 26.08.2021.
sensors:
  cam0:
    extrinsics:
      quaternion: [-0.5003218001035493, 0.5012125349997221, -0.5001966939080825, 0.49826434600894337]
      translation: [0.05067834857850693, 0.0458784339890185, -0.005943648304780761]
    intrinsics:
      parameters:
        cx: 703.6097253263
        cy: 530.4665279367
        fx: 701.6682111281
        fy: 701.55526909
        image_size: [1440, 1080]
        k1: -0.0395909069
        k2: -0.0041727433
        k3: 0.0030288415
        k4: -0.0012784168
      type: KannalaBrandt
    parent: imu
  cam1:
    extrinsics:
      quaternion: [0.4987817834395415, 0.5018413260691813, 0.4995206821044571, 0.49985108193130245]
      translation: [0.0507054642910155, -0.060959522169800155, -0.005930631162279414]
    intrinsics:
      parameters:
        cx: 708.4206218964
        cy: 535.6712007522
        fx: 696.7174426776
        fy: 696.4862496732
        image_size: [1440, 1080]
        k1: -0.0465180371
        k2: 0.0160363324
        k3: -0.0170339468
        k4: 0.0050095489
      type: KannalaBrandt
    parent: imu
  cam2:
    extrinsics:
      quaternion: [-0.0036172226140807136, 0.9999797730734545, 0.0010315095176143168, -0.0051288529553438975]
      translation: [0.0066556070130705325, -0.007297504322474243, -0.035615803708099754]
    intrinsics:
      parameters:
        cx: 718.7749348353
        cy: 535.2856167618
        fx: 702.3538912351
        fy: 702.1759854802
        image_size: [1440, 1080]
        k1: -0.0392852639
        k2: -0.0023244164
        k3: -0.0005553017
        k4: 0.0002238156
      type: KannalaBrandt
    parent: imu
  cam3:
    extrinsics:
      quaternion: [-0.7079136763853694, 0.0008791895155068065, 0.0010668886832242107,
        0.7062976111816349]
      translation: [-0.007959549138437914, 0.06467457049779392, -0.006489835360873981]
    intrinsics:
      parameters:
        cx: 703.0078028901
        cy: 537.7049174331
        fx: 703.2325755934
        fy: 703.2405654818
        image_size: [1440, 1080]
        k1: -0.041473724
        k2: 0.000366189
        k3: -0.0008241712
        k4: -0.0002216933
      type: KannalaBrandt
    parent: imu
  cam4:
    extrinsics:
      quaternion: [0.7058442060370936, 0.004905163975235881, -0.003000627498377676,
        0.7083437671108971]
      translation: [-0.009899820375326171, -0.07835193358130926, -0.006247994340411725]
    intrinsics:
      parameters:
        cx: 700.4808652897
        cy: 541.8573746426
        fx: 701.4723842948
        fy: 701.6419154268
        image_size: [1440, 1080]
        k1: -0.0405675926
        k2: 0.0010964136
        k3: -0.0027765896
        k4: 0.0006435363
      type: KannalaBrandt
    parent: imu
  imu:
    extrinsics:
      quaternion: [0.0, 0.0, 0.0, 1.0]
      translation: [0.0, 0.0, 0.0]
    intrinsics:
      parameters:
        bias_a: [0.06080652138668933, 0.08353074835853214, 0.057072968234636895]
        bias_g: [-0.0015351229643790084, -0.0013449146576507546, 0.00030127855524786183]
        gravity: [0.01165152782783894, 9.804989173462031, -0.008749296634685332]
      type: IMU
    parent: base_link
  imu_adis:
    extrinsics:
      quaternion: [-0.7046053008605138, 0.7095927549150899, 0.00202922313636401, -0.002318280556988682]
      translation: [-0.028227032742698683, -0.006375545183463591, -0.03171966135034937]
    intrinsics:
      parameters:
        bias_a: [0.045946105028125475, -0.005014030226538212, -0.04614760340201561]
        bias_g: [0.001328579907942652, 0.00033677739068017703, -0.0032725231159698672]
        gravity: [0.01165152782783894, 9.804989173462031, -0.008749296634685332]
      type: IMU
    parent: imu
  livox_frame:
    extrinsics:
      quaternion: [0.9999210375883832, 0.008541895817538095, -0.0034669684957182386,
        -0.008540183456040568]
      translation: [-0.003050707070885951, -0.021993853931529066, 0.15076415229379997]
    parent: imu
  os_imu:
    extrinsics:
      quaternion: [0.999995768781057, 0.0013912008656786696, -0.0016769584679952214,
        -0.0019273791610877828]
      translation: [-0.012106872487123346, -0.01947953900975557, 0.11154467137366508]
    intrinsics:
      parameters:
        bias_a: [0.13669328951950024, -0.10452161597498068, -0.1773793631529619]
        bias_g: [-0.006745056382352925, 0.017116057358328333, 0.010598876187693273]
        gravity: [0.01165152782783894, 9.804989173462031, -0.008749296634685332]
      type: IMU
    parent: imu
  os_lidar:
    extrinsics:
      quaternion: [0.999993918507834, 0.0012283821413574625, -0.0032596475280467258,
        -0.00016947759535612024]
      translation: [0.01001966915517371, -0.006645473484212856, 0.09473042428051345]
    parent: imu
  os_sensor:
    extrinsics :
      quaternion: [0.0, 0.0, 0.0, 1.0]
      translation: [0.0, 0.0, -0.036]
    parent: os_lidar    
  optitrack_marker: # inverse from calibration
    parent: 'cam0' 
    extrinsics: 
      quaternion: [-0.702423432982067, -0.06685205948137603, -0.06048368390116566, 0.706026803260705]
      translation: [0.05354253273380533, -0.2786560903711294, -0.057329537886130204]
  pole_tip:
    parent: 'optitrack_marker' 
    extrinsics: 
      quaternion: [0.0, 0.0, 0.0, 1.0]
      translation: [-0.0043, 0.0010, -1.3943]
  prism:
    parent: 'optitrack_marker' 
    extrinsics: 
      quaternion: [0.0, 0.0, 0.0, 1.0]
      translation: [0.0, 0.0, 0.0]